> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.glideapps.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Tables

> Gets all Big Tables in the current team

Get a list of all Big Tables associated with the team of the authenticated user.

<Warning>This endpoint only retrieves **Big Table** tables. No other table types will be included in the response, even though they are part of your Glide team.</Warning>


## OpenAPI

````yaml get /tables
openapi: 3.0.0
info:
  title: ''
  version: 0.0.1
servers:
  - description: Production
    url: https://api.glideapps.com
security:
  - BearerAuth: []
tags: []
paths:
  /tables:
    get:
      description: Gets all Big Tables in the current team
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: >-
                            ID of the table, e.g.,
                            `2a1bad8b-cf7c-44437-b8c1-e3782df6`
                          example: 2a1bad8b-cf7c-44437-b8c1-e3782df6
                        name:
                          type: string
                          description: Name of the table, e.g., `Invoices`
                          example: Invoices
                      required:
                        - id
                        - name
                      additionalProperties: false
                    description: A collection of table objects, each with `id` and `name`
                required:
                  - data
                additionalProperties: false
        '400':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      type:
                        type: string
                      message:
                        type: string
                    required:
                      - type
                      - message
                    additionalProperties: false
                required:
                  - error
                additionalProperties: false
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form Bearer `<token>`, where
        `<token>` is your [auth
        token](/api-reference/v2/general/authentication).

````